Subject: [Rfcplusplus] The RFC Brand

From: Bob Hinden <[email-masked]>
Date: Tue, 3 Jul 2018 14:20:40 -0700

When the IETF decided to publish it’s work in the RFC Series, it did it because the RFC brand was well known in the technical community.   We thought this was better at the time even though we knew that there were non-IETF produced documents in the RFC Series.

The RFC Brand has been enormously successful.  It is very well known in the Internet technical community and the larger Internet community.  We built the infrastructure of the Internet on it.  It’s been good for the IETF and good for the Internet community as a whole.  Many people recognize the RFC Brand.

The proposal before us would weaken the RFC Brand and I think the IETF as a result.  Brands are very hard to create in the first place.  We have one that has been in existence since 1969, almost 50 years.

Changing a brand is very risky, and if we damage the RFC brand (which I think a poorly considered set of changes will do) it will be very hard, if not impossible, to recover. The IAB has indicated the proposal that has spurred the BoF is just a starting point. I feel that it is a poor place to start, and if handled in any way close to what is described will absolutely damage the RFC brand.

Bob